INTERFACE
SUBROUTINE SLTEND( KIDIA, KFDIA, KLON, KLEV, KTEND,&
 & KSTEP, KSTART,&
 & PT, PQ, PL, PI, PA, PGFL, PRSF1, PRS1,&
 & PDYNU, PDYNV, PDYNT, PDYNQ, PDYNO3, PDYNA, PDYNCLV,&
 & PTENU, PTENV, PTENT, PTENQ, PTENO3, PTENL, PTENI, PTENA, PTENGFL,&
 & PPHTENU, PPHTENV, PPHTENT, PPHTENQ, PPHTENO3, PPHTENA,&
 & PVFU, PVFV, PVFT, PVFQ, PVFA, PVFCLV,&
 & PSAVTEND, PGFLSLP,&
 & PFSQLF, PFSQIF ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOECLDP , ONLY : RAMIN, RLMIN, NCLDTOP, NSSOPT ,&
 & NCLV, RKOOPTAU 
USE YOM_YGFL , ONLY : YGFL, YQ, YO3, YL, YI, YR, YS, YA
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KTEND
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL(KLON,KLEV,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PRSF1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRS1(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PDYNU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDYNV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDYNT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDYNQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDYNO3(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDYNA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENGFL(KLON,KLEV,YGFL%NDIM1)
REAL(KIND=JPRB) ,INTENT(IN) :: PDYNCLV(KLON,KLEV,NCLV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENO3(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENO3(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHTENA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVFU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVFV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVFT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVFQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVFCLV(KLON,KLEV,NCLV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVFA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSAVTEND(KLON,KLEV,KTEND)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGFLSLP(KLON,KLEV,YGFL%NDIMSLP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFSQLF(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFSQIF(KLON,KLEV+1)
END SUBROUTINE SLTEND
END INTERFACE
